QGIS Application - Feature request #12348
add "shape://slash"” geoserver like symbology
2015-03-10 07:07 AM - Oskar Karlin

Status: Open

Priority: Normal

Assignee:

Category: Symbology

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 20523
Description

Is it possible to create a line with a line pattern in a fixed angle? See attached map image.

In Geoserver it's apparently called "shape:/slash"?

| have managed to create a marker line with a line at 45° but that one is always 45° from the lines angle at that point (see second
attachment). | want it to be fixed.

If it's not possible, I'd like to make a feature request!

History

#1 - 2015-03-10 04:06 PM - Giovanni Manghi
- Category set to Symbology

#2 - 2015-03-11 04:07 AM - Jukka Rahkonen

The shape://slash feature belongs to GeoServer specific extensions which are documented in
http://docs.geoserver.org/stable/en/user/styling/sld-extensions/pointsymbols.html. Probably such symbology can't be translated into standard SLD. If

something similar will be implemented into QGIS it might be worth considering to use the same names as GeoServer already does for making it easier to
transfer styles between those two.

#3 - 2015-03-11 05:50 AM - Giovanni Manghi

- Subject changed from shape://slash line to add "shape://slash" geoserver like symbology

#4 - 2017-05-01 12:47 AM - Giovanni Manghi
- Easy fix? set to No

Files
slash-line.png 90.6 KB 2015-03-10 Oskar Karlin
markerline.png 21.6 KB 2015-03-10 Oskar Karlin
